Save This Page
Home » cactus-1.8.0-src » org.apache.cactus.internal » [javadoc | source]
org.apache.cactus.internal
public class: TestAbstractCactusTestCase [javadoc | source]
java.lang.Object
   junit.framework.TestCase
      org.apache.cactus.internal.AbstractTestAbstractCactusTestCase
         org.apache.cactus.internal.TestAbstractCactusTestCase
Unit tests of the AbstractCactusTestCase class.
Method from org.apache.cactus.internal.TestAbstractCactusTestCase Summary:
beginBeginMethodBadParamNumber,   beginBeginMethodBadParamType,   beginBeginMethodBadReturnType,   beginBeginMethodOK,   endEndMethodBadParamNumber,   endEndMethodBadParamType,   endEndMethodBadReturnType,   endEndMethodOK1,   endEndMethodOK2,   endEndMethodOK3,   testBeginMethodBadParamNumber,   testBeginMethodBadParamType,   testBeginMethodBadReturnType,   testBeginMethodNotPublic,   testBeginMethodOK,   testEndMethodBadParamNumber,   testEndMethodBadParamType,   testEndMethodBadReturnType,   testEndMethodNotPublic,   testEndMethodOK1,   testEndMethodOK2,   testEndMethodOK3
Methods from org.apache.cactus.internal.AbstractTestAbstractCactusTestCase:
runBare,   runTest
Methods from java.lang.Object:
equals,   getClass,   hashCode,   notify,   notifyAll,   toString,   wait,   wait,   wait
Method from org.apache.cactus.internal.TestAbstractCactusTestCase Detail:
 public  void beginBeginMethodBadParamNumber(WebRequest theRequest,
    String theString) 
 public  void beginBeginMethodBadParamType(String theDummy) 
 public String beginBeginMethodBadReturnType(WebRequest theRequest) 
 public  void beginBeginMethodOK(WebRequest theRequest) 
 public  void endEndMethodBadParamNumber(WebResponse theResponse,
    String theDummy) 
 public  void endEndMethodBadParamType(String theDummy) 
 public String endEndMethodBadReturnType(WebResponse theResponse) 
 public  void endEndMethodOK1(WebResponse theResponse) 
 public  void endEndMethodOK2(WebResponse theResponse) 
 public  void endEndMethodOK3(HttpURLConnection theResponse) 
 public  void testBeginMethodBadParamNumber() 
    Test that when a begin method for a given test has the wrong number of parameters, a AssertionFailedError exception is returned. Note: the assert is done in the TestAbstractTestCaseInterceptorTestCase class.
 public  void testBeginMethodBadParamType() 
    Test that when a begin method for a given test has the wrong type of parameters, a AssertionFailedError exception is returned. Note: the assert is done in the TestAbstractTestCaseInterceptorTestCase class.
 public  void testBeginMethodBadReturnType() 
    Test that when a begin method for a given test does not have the correct return type (i.e. void), a AssertionFailedError exception is returned. Note: the assert is done in the TestAbstractTestCaseInterceptorTestCase class.
 public  void testBeginMethodNotPublic() 
    Test that when a begin method for a given test is not declared public a AssertionFailedError exception is returned. Note: the assert is done in the TestAbstractTestCaseInterceptorTestCase class.
 public  void testBeginMethodOK() 
    Verify that the begin method with a WebRequest parameter is called correctly.
 public  void testEndMethodBadParamNumber() 
    Test that when an end method for a given test has the wrong number of parameters, a AssertionFailedError exception is returned. Note: the assert is done in the TestAbstractTestCaseInterceptorTestCase class.
 public  void testEndMethodBadParamType() 
    Test that when an end method for a given test has the wrong type of parameters, a AssertionFailedError exception is returned. Note: the assert is done in the TestAbstractTestCaseInterceptorTestCase class.
 public  void testEndMethodBadReturnType() 
    Test that when an end method for a given test does not have the correct return type (i.e. void), a AssertionFailedError exception is returned. Note: the assert is done in the TestAbstractTestCaseInterceptorTestCase class.
 public  void testEndMethodNotPublic() 
    Test that when an end method for a given test is not declared public a AssertionFailedError exception is returned. Note: the assert is done in the TestAbstractTestCaseInterceptorTestCase class.
 public  void testEndMethodOK1() 
    Test that the end method is called correctly when it's signature contains a org.apache.cactus.WebResponse parameter.
 public  void testEndMethodOK2() 
    Test that the end method is called correctly when it's signature contains a com.meterware.httpunit.WebResponse parameter. Note: We need the Httpunit jar and an XML parser jar on the classpath for this test
 public  void testEndMethodOK3() 
    Test that the deprecated end method with the HttpURLConnection parameter can still be called correctly.